cURL
curl -X POST "https://api.fitsociety.io/public/v1/webhooks/66f7b8b1e13c8d25f4d3d90a/test" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: webhook-test-crm-sync-20260714"const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fitsociety.io/public/v1/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/webhooks/{id}/test"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"test": {
"eventId": "66f7b8b1e13c8d25f4d3d92a",
"deliveryIds": [
"66f7b8b1e13c8d25f4d3d91a"
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
},
"idempotency": {
"replayed": true
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Webhooks
Send a test webhook event
Requires webhooks:write. Queues a subscription.test event for the subscription target and returns the created event and delivery ids.
POST
/
public
/
v1
/
webhooks
/
{id}
/
test
cURL
curl -X POST "https://api.fitsociety.io/public/v1/webhooks/66f7b8b1e13c8d25f4d3d90a/test" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: webhook-test-crm-sync-20260714"const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fitsociety.io/public/v1/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/webhooks/{id}/test"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"test": {
"eventId": "66f7b8b1e13c8d25f4d3d92a",
"deliveryIds": [
"66f7b8b1e13c8d25f4d3d91a"
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
},
"idempotency": {
"replayed": true
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"key": "auth.invalid_token",
"message": "The access token is invalid.",
"details": {}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"
Path Parameters
Webhook subscription id.
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I